curl --request GET \
--url 'https://api.enrow.io/phone/bulk?id=e3b61122-d6a6-4ea7-b331-9b734682a76a' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = 'e3b61122-d6a6-4ea7-b331-9b734682a76a';
const response = await fetch(`https://api.enrow.io/phone/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Found: ${data.stats.found}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "e3b61122-d6a6-4ea7-b331-9b734682a76a"
url = f"https://api.enrow.io/phone/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Found: {data['stats']['found']}/{data['stats']['requested']}")
{
"general": {
"id": "e3b61122-d6a6-4ea7-b331-9b734682a76a",
"status": "completed"
},
"results": [
{
"country": "US",
"index": 0,
"number": "+15705551234",
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott"
},
"qualification": "found"
},
{
"country": "US",
"index": 1,
"number": "+15705555678",
"params": {
"linkedin_url": "https://www.linkedin.com/in/dwight-schrute"
},
"qualification": "found"
}
],
"stats": {
"credits_cost": 80,
"credits_to_refund": 0,
"found": 2,
"requested": 2
}
}
{
"message": "..."
}
Phone Finder
Get Bulk Phone Results
Retrieve results, status, and stats for a bulk phone number search batch by id
GET
/
phone
/
bulk
curl --request GET \
--url 'https://api.enrow.io/phone/bulk?id=e3b61122-d6a6-4ea7-b331-9b734682a76a' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = 'e3b61122-d6a6-4ea7-b331-9b734682a76a';
const response = await fetch(`https://api.enrow.io/phone/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Found: ${data.stats.found}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "e3b61122-d6a6-4ea7-b331-9b734682a76a"
url = f"https://api.enrow.io/phone/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Found: {data['stats']['found']}/{data['stats']['requested']}")
{
"general": {
"id": "e3b61122-d6a6-4ea7-b331-9b734682a76a",
"status": "completed"
},
"results": [
{
"country": "US",
"index": 0,
"number": "+15705551234",
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott"
},
"qualification": "found"
},
{
"country": "US",
"index": 1,
"number": "+15705555678",
"params": {
"linkedin_url": "https://www.linkedin.com/in/dwight-schrute"
},
"qualification": "found"
}
],
"stats": {
"credits_cost": 80,
"credits_to_refund": 0,
"found": 2,
"requested": 2
}
}
{
"message": "..."
}
GET
Retrieve results of a previously submitted bulk phone search. Authenticate every request with your API key in the
See Error handling for the full list of status codes and response formats.
https://api.enrow.io/phone/bulk?id={batch_id}
x-api-key header.
Using a webhook allows you to skip calling this GET endpoint. See How Webhooks Work.
Query Parameters
string
required
The
id returned from the POST requestResponse
200 — Search finished
object
object
Batch statistics
Show stats properties
Show stats properties
number
Total credits consumed. See Credits & billing for per-endpoint costs.
number
Credits refunded for searches that returned no result. See Credits & billing.
number
Total number of searches requested
number
Number of phone numbers found
array
200 — Search ongoing
object
id and status: "ongoing"object
requested and finished countsError Responses
| Code | Message |
|---|---|
| 400 | Missing id in the query params |
| 400 | Could not retrieve bulk search results |
| 500 | server error |
curl --request GET \
--url 'https://api.enrow.io/phone/bulk?id=e3b61122-d6a6-4ea7-b331-9b734682a76a' \
--header 'x-api-key: YOUR_API_KEY'
const batchId = 'e3b61122-d6a6-4ea7-b331-9b734682a76a';
const response = await fetch(`https://api.enrow.io/phone/bulk?id=${batchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.general.status === 'completed') {
console.log(`Found: ${data.stats.found}/${data.stats.requested}`);
console.log(data.results);
}
import requests
import os
batch_id = "e3b61122-d6a6-4ea7-b331-9b734682a76a"
url = f"https://api.enrow.io/phone/bulk?id={batch_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["general"]["status"] == "completed":
print(f"Found: {data['stats']['found']}/{data['stats']['requested']}")
{
"general": {
"id": "e3b61122-d6a6-4ea7-b331-9b734682a76a",
"status": "completed"
},
"results": [
{
"country": "US",
"index": 0,
"number": "+15705551234",
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott"
},
"qualification": "found"
},
{
"country": "US",
"index": 1,
"number": "+15705555678",
"params": {
"linkedin_url": "https://www.linkedin.com/in/dwight-schrute"
},
"qualification": "found"
}
],
"stats": {
"credits_cost": 80,
"credits_to_refund": 0,
"found": 2,
"requested": 2
}
}
{
"message": "..."
}
Next steps
Find phones in bulk
Submit a new batch of phone number searches.
Get a single result
Retrieve the result of a single phone search by id.
Webhooks
Get notified automatically when a batch completes.
Credits & billing
See how credits are consumed and refunded.
Was this page helpful?

